Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
SearchHooks::help function core/modules/search/src/Hook/SearchHooks.php Implements hook_help().
SearchIndex class core/modules/search/src/SearchIndex.php Provides search index management functions.
SearchIndex.php file core/modules/search/src/SearchIndex.php
SearchIndex::clear function core/modules/search/src/SearchIndex.php Clears either a part of, or the entire search index.
SearchIndex::index function core/modules/search/src/SearchIndex.php Updates the full-text search index for a particular item.
SearchIndex::markForReindex function core/modules/search/src/SearchIndex.php Changes the timestamp on indexed items to 'now' to force reindexing.
SearchIndex::updateWordWeights function core/modules/search/src/SearchIndex.php Updates the {search_total} database table.
SearchIndex::__construct function core/modules/search/src/SearchIndex.php SearchIndex constructor.
SearchIndexException class core/modules/search/src/Exception/SearchIndexException.php Exception thrown for search index errors.
SearchIndexException.php file core/modules/search/src/Exception/SearchIndexException.php
SearchIndexingInterface interface core/modules/search/src/Plugin/SearchIndexingInterface.php Defines an optional interface for SearchPlugin objects using an index.
SearchIndexingInterface.php file core/modules/search/src/Plugin/SearchIndexingInterface.php
SearchIndexingInterface::indexClear function core/modules/search/src/Plugin/SearchIndexingInterface.php Clears the search index for this plugin.
SearchIndexingInterface::indexStatus function core/modules/search/src/Plugin/SearchIndexingInterface.php Reports the status of indexing.
SearchIndexingInterface::markForReindex function core/modules/search/src/Plugin/SearchIndexingInterface.php Marks the search index for reindexing for this plugin.
SearchIndexingInterface::updateIndex function core/modules/search/src/Plugin/SearchIndexingInterface.php Updates the search index for this plugin.
SearchIndexInterface interface core/modules/search/src/SearchIndexInterface.php Provides search index management functions.
SearchIndexInterface.php file core/modules/search/src/SearchIndexInterface.php
SearchIndexInterface::clear function core/modules/search/src/SearchIndexInterface.php Clears either a part of, or the entire search index.
SearchIndexInterface::index function core/modules/search/src/SearchIndexInterface.php Updates the full-text search index for a particular item.
SearchIndexInterface::markForReindex function core/modules/search/src/SearchIndexInterface.php Changes the timestamp on indexed items to 'now' to force reindexing.
SearchIndexInterface::updateWordWeights function core/modules/search/src/SearchIndexInterface.php Updates the {search_total} database table.
SearchIndexTest class core/modules/search/tests/src/Kernel/SearchIndexTest.php Tests the service "search.index".
SearchIndexTest.php file core/modules/search/tests/src/Kernel/SearchIndexTest.php
SearchIndexTest::$modules property core/modules/search/tests/src/Kernel/SearchIndexTest.php Modules to install.
SearchIndexTest::testSearchIndexServiceIsBackendOverridable function core/modules/search/tests/src/Kernel/SearchIndexTest.php Test that the service "search.index" is backend overridable.
SearchIntegrationTest class core/modules/views/tests/src/Functional/SearchIntegrationTest.php Tests search integration filters.
SearchIntegrationTest.php file core/modules/views/tests/src/Functional/SearchIntegrationTest.php
SearchIntegrationTest::$defaultTheme property core/modules/views/tests/src/Functional/SearchIntegrationTest.php The theme to install as the default for testing.
SearchIntegrationTest::$modules property core/modules/views/tests/src/Functional/SearchIntegrationTest.php Modules to install.
SearchIntegrationTest::$testViews property core/modules/views/tests/src/Functional/SearchIntegrationTest.php Views used by this test.
SearchIntegrationTest::assertOneLink function core/modules/views/tests/src/Functional/SearchIntegrationTest.php Asserts that exactly one link exists with the given text.
SearchIntegrationTest::testSearchIntegration function core/modules/views/tests/src/Functional/SearchIntegrationTest.php Tests search integration.
SearchInterface interface core/modules/search/src/Plugin/SearchInterface.php Defines a common interface for all SearchPlugin objects.
SearchInterface.php file core/modules/search/src/Plugin/SearchInterface.php
SearchInterface::buildResults function core/modules/search/src/Plugin/SearchInterface.php Executes the search and builds render arrays for the result items.
SearchInterface::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchInterface.php Builds the URL GET query parameters array for search.
SearchInterface::execute function core/modules/search/src/Plugin/SearchInterface.php Executes the search.
SearchInterface::getAttributes function core/modules/search/src/Plugin/SearchInterface.php Returns the currently set attributes (from the request).
SearchInterface::getHelp function core/modules/search/src/Plugin/SearchInterface.php Returns the searching help.
SearchInterface::getKeywords function core/modules/search/src/Plugin/SearchInterface.php Returns the currently set keywords of the plugin instance.
SearchInterface::getParameters function core/modules/search/src/Plugin/SearchInterface.php Returns the current parameters set using setSearch().
SearchInterface::getType function core/modules/search/src/Plugin/SearchInterface.php Returns the search index type this plugin uses.
SearchInterface::isSearchExecutable function core/modules/search/src/Plugin/SearchInterface.php Verifies if the values set via setSearch() are valid and sufficient.
SearchInterface::searchFormAlter function core/modules/search/src/Plugin/SearchInterface.php Alters the search form when being built for a given plugin.
SearchInterface::setSearch function core/modules/search/src/Plugin/SearchInterface.php Sets the keywords, parameters, and attributes to be used by execute().
SearchInterface::suggestedTitle function core/modules/search/src/Plugin/SearchInterface.php Provides a suggested title for a page of search results.
SearchInterface::usesAdminTheme function core/modules/search/src/Plugin/SearchInterface.php Returns whether or not search results should be displayed in admin theme.
SearchKeywordsConditionsTest class core/modules/search/tests/src/Functional/SearchKeywordsConditionsTest.php Verify the search without keywords set and extra conditions.
SearchKeywordsConditionsTest.php file core/modules/search/tests/src/Functional/SearchKeywordsConditionsTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.